	subroutine wait(n)

	implicit integer*4 (a-z)

	common /timedummy/  time,negone

	if (n.le.0) return
	time = -100000 * n
	negone = -1

	call sys$clref (%val(5))
	call sys$setimr (%val(5),time,,)
	call sys$waitfr (%val(5))

	return 
	end    
